## ddskk 11.2.cvs.20000108

=== Makefile ===
# Makefile: makefile for SKK.
#
# Maintainer: Mikio Nakajima <minakaji@osaka.email.ne.jp>
# Version: $Id: Makefile,v 1.13.4.4 1999/12/05 14:19:35 kawamura Exp $
# Last Modified: $Date: 1999/12/05 14:19:35 $

VERSION = 11.2

TAR	= tar
RM	= /bin/rm -f
CP	= /bin/cp -p
EMACS	= emacs
XEMACS	= xemacs
FLAGS   = -batch -q -no-site-file -l SKK-MK

elc:
	$(EMACS) $(FLAGS) -f SKK-MK-compile

info:
	$(EMACS) $(FLAGS) -f SKK-MK-compile-info

install:
	$(EMACS) $(FLAGS) -f SKK-MK-install 

install-package:
	$(XEMACS) $(FLAGS) -f SKK-MK-install-package 


what-where:
	$(EMACS) $(FLAGS) -f SKK-MK-what-where

what-where-package:
	$(EMACS) $(FLAGS) -f SKK-MK-what-where-package

clean:
	-$(RM) skk-autoloads.el *.elc ./doc/skk.info* `find . -name '*~'` 

tar: clean
	-$(RM) ../ddskk-$(VERSION).tar.gz
	cd .. ; ln -sf main ddskk-$(VERSION) ; \
           $(TAR) cvypf ddskk$(VERSION).tar.bz2 \
           --exclude-from=./ddskk-$(VERSION)/skk.ex --dereference ./ddskk-$(VERSION)

# end of Makefile.

## ddskk 11.6.rel.0

=== Makefile ===
# Makefile: makefile for SKK.
#
# Maintainer: SKK Development Team <skk@ring.gr.jp>
# Version: $Id: Makefile,v 1.53 2001/12/16 11:02:45 akiho Exp $
# Last Modified: $Date: 2001/12/16 11:02:45 $


VERSION = 11.6.0

BZIP2     = bzip2 -9
CP	  = /bin/cp -p
DATE	  = date
EMACS	  = emacs
ETAGS	  = etags
FLAGS     = -batch -q -no-site-file -l SKK-MK
GZIP      = gzip -9
MD5	  = md5
RM	  = /bin/rm -f
SNAPBASE  = ddskk`$(DATE) '+%Y%m%d'`
TAR	  = tar
XEMACS	  = xemacs
RUBY      = ruby
SKK_DEFAULT_JISYO = ../dic/SKK-JISYO.S
set_jisyo =

elc:
	$(EMACS) $(FLAGS) -f SKK-MK-compile

package:
	$(XEMACS) $(FLAGS) -f SKK-MK-compile-package

info:
	$(EMACS) $(FLAGS) -f SKK-MK-compile-info

install:
	$(EMACS) $(FLAGS) -f SKK-MK-install 

install-elc:
	$(EMACS) $(FLAGS) -f SKK-MK-install-elc

install-info:
	$(EMACS) $(FLAGS) -f SKK-MK-install-info

install-package:
	$(XEMACS) $(FLAGS) -f SKK-MK-install-package 


what-where:
	$(EMACS) $(FLAGS) -f SKK-MK-what-where

what-where-package:
	$(XEMACS) $(FLAGS) -f SKK-MK-what-where-package

skk-dic:
	$(RM) skk-dic.el
	$(EMACS) $(FLAGS) -f SKK-MK-skk-dic

rb-skk-dic:
	$(RM) skk-dic.el
	$(RUBY) etc/skk-dic.rb ../dic/SKK-JISYO.S

TAGS:
	$(ETAGS) `find . -name '*.el'`
clean:
	-$(RM) leim-list.el skk-autoloads.el skk-setup.el *.elc experimental/*.elc \
	auto-autoloads.el custom-load.el \
	./doc/skk.info* `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'`

tar: clean rb-skk-dic
	cd .. ;\
	$(RM) ddskk-11.{1,2,3} ddskk-$(VERSION) ddskk-snapshot ddskk$(VERSION).tar.gz ddskk$(VERSION).tar.bz2 ;\
	$(RM) ddskk-$(VERSION) ;\
	ln -sf main ddskk-$(VERSION) ;\
	$(TAR) -cvpf ddskk$(VERSION).tar --exclude-from=ddskk-$(VERSION)/skk.ex --dereference ddskk-$(VERSION) ;\
	$(BZIP2) -cf ddskk$(VERSION).tar > ddskk$(VERSION).tar.bz2 ;\
	$(GZIP) -cf ddskk$(VERSION).tar > ddskk$(VERSION).tar.gz ;\
	$(RM) ddskk$(VERSION).tar ;\
	$(RM) ddskk$(VERSION) ;\
	$(MD5) ddskk$(VERSION).tar.bz2 >ddskk$(VERSION).tar.bz2.md5 ;\
	$(MD5) ddskk$(VERSION).tar.gz >ddskk$(VERSION).tar.gz.md5
	$(RM) skk-dic.el

snapshot: clean rb-skk-dic
	cd .. ;\
	$(RM) ddskk-11.{1,2,3} ddskk-$(VERSION) ddskk-snapshot $(SNAPBASE).tar.gz $(SNAPBASE).tar.bz2 ;\
	$(RM) $(SNAPBASE) ;\
	ln -sf main $(SNAPBASE) ;\
	$(TAR) -cvpf $(SNAPBASE).tar --exclude-from=$(SNAPBASE)/skk.ex --dereference $(SNAPBASE);\
	$(BZIP2) -cf $(SNAPBASE).tar > $(SNAPBASE).tar.bz2 ;\
	$(GZIP) -cf $(SNAPBASE).tar > $(SNAPBASE).tar.gz ;\
	$(RM) $(SNAPBASE).tar ;\
	$(RM) $(SNAPBASE) ;\
	$(MD5) $(SNAPBASE).tar.bz2 >$(SNAPBASE).tar.bz2.md5 ;\
	$(MD5) $(SNAPBASE).tar.gz >$(SNAPBASE).tar.gz.md5
	$(RM) skk-dic.el

# end of Makefile.

## ddskk 13.1

=== Makefile ===
# Makefile: makefile for SKK.
#
# Maintainer: SKK Development Team <skk@ring.gr.jp>
# Version: $Id: Makefile,v 1.63 2007/08/18 04:09:39 skk-cvs Exp $
# Last Modified: $Date: 2007/08/18 04:09:39 $


VERSION = 13.1

BZIP2     = bzip2 -9
DATE	  = date
EMACS	  = emacs
ETAGS	  = etags
FLAGS     = -batch -q -no-site-file -l SKK-MK
GZIP      = gzip -9
MD5	  = md5
RM	  = /bin/rm -f
SNAPBASE  = ddskk-`$(DATE) '+%Y%m%d'`
TAR	  = tar
XEMACS	  = xemacs
RUBY      = ruby
SKK_DEFAULT_JISYO =
set_jisyo =

elc:
	$(EMACS) $(FLAGS) -f SKK-MK-compile

package:
	$(XEMACS) $(FLAGS) -f SKK-MK-compile-package

info:
	$(EMACS) $(FLAGS) -f SKK-MK-compile-info

install:
	$(EMACS) $(FLAGS) -f SKK-MK-install

install-elc:
	$(EMACS) $(FLAGS) -f SKK-MK-install-elc

install-info:
	$(EMACS) $(FLAGS) -f SKK-MK-install-info

install-package:
	$(XEMACS) $(FLAGS) -f SKK-MK-install-package


what-where:
	$(EMACS) $(FLAGS) -f SKK-MK-what-where

what-where-package:
	$(XEMACS) $(FLAGS) -f SKK-MK-what-where-package

skk-dic:
	$(RM) skk-dic.el
	$(EMACS) $(FLAGS) -f SKK-MK-skk-dic

rb-skk-dic:
	$(RM) skk-dic.el
	$(RUBY) etc/skk-dic.rb ../dic/SKK-JISYO.S

TAGS:
	$(ETAGS) `find . -name '*.el'`
clean:
	-$(RM) leim-list.el skk-autoloads.el skk-setup.el *.elc experimental/*.elc \
	auto-autoloads.el custom-load.el \
	./doc/skk.info* `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'`

tar: clean
	cp -f skk-dic.el.in skk-dic.el
	cd .. ;\
	$(RM) ddskk-11.{1,2,3} ddskk-$(VERSION) ddskk-snapshot ddskk$(VERSION).tar.gz ddskk$(VERSION).tar.bz2 ddskk-$(VERSION).tar.gz ddskk-$(VERSION).tar.bz2 ;\
	$(RM) ddskk-$(VERSION) ;\
	ln -sf main ddskk-$(VERSION) ;\
	$(TAR) -cvpf ddskk-$(VERSION).tar --exclude-from=ddskk-$(VERSION)/skk.ex --dereference ddskk-$(VERSION) ;\
	$(BZIP2) -cf ddskk-$(VERSION).tar > ddskk-$(VERSION).tar.bz2 ;\
	$(GZIP) -cf ddskk-$(VERSION).tar > ddskk-$(VERSION).tar.gz ;\
	$(RM) ddskk-$(VERSION).tar ;\
	$(RM) ddskk-$(VERSION) ;\
	$(MD5) ddskk-$(VERSION).tar.bz2 >ddskk-$(VERSION).tar.bz2.md5 ;\
	$(MD5) ddskk-$(VERSION).tar.gz >ddskk-$(VERSION).tar.gz.md5
	$(RM) skk-dic.el

snapshot: clean
	cd .. ;\
	$(RM) ddskk-11.{1,2,3} ddskk-$(VERSION) ddskk-snapshot $(SNAPBASE).tar.gz $(SNAPBASE).tar.bz2 ;\
	$(RM) $(SNAPBASE) ;\
	ln -sf main $(SNAPBASE) ;\
	$(TAR) -cvpf $(SNAPBASE).tar --exclude-from=$(SNAPBASE)/skk.ex --dereference $(SNAPBASE);\
	$(BZIP2) -cf $(SNAPBASE).tar > $(SNAPBASE).tar.bz2 ;\
	$(GZIP) -cf $(SNAPBASE).tar > $(SNAPBASE).tar.gz ;\
	$(RM) $(SNAPBASE).tar ;\
	$(RM) $(SNAPBASE) ;\
	$(MD5) $(SNAPBASE).tar.bz2 >$(SNAPBASE).tar.bz2.md5 ;\
	$(MD5) $(SNAPBASE).tar.gz >$(SNAPBASE).tar.gz.md5
	$(RM) skk-dic.el

# end of Makefile.

## ddskk 14.0.91

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # Makefile: makefile for SKK.
 #
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
-# Version: $Id: Makefile,v 1.63 2007/08/18 04:09:39 skk-cvs Exp $
-# Last Modified: $Date: 2007/08/18 04:09:39 $
+# Version: $Id: Makefile,v 1.67 2010/02/10 11:57:49 skk-cvs Exp $
+# Last Modified: $Date: 2010/02/10 11:57:49 $
 
 
-VERSION = 13.1
+VERSION = 14.0.91
 
 BZIP2     = bzip2 -9
 DATE	  = date
@@ -86,11 +86,9 @@
 	$(RM) $(SNAPBASE) ;\
 	ln -sf main $(SNAPBASE) ;\
 	$(TAR) -cvpf $(SNAPBASE).tar --exclude-from=$(SNAPBASE)/skk.ex --dereference $(SNAPBASE);\
-	$(BZIP2) -cf $(SNAPBASE).tar > $(SNAPBASE).tar.bz2 ;\
 	$(GZIP) -cf $(SNAPBASE).tar > $(SNAPBASE).tar.gz ;\
 	$(RM) $(SNAPBASE).tar ;\
 	$(RM) $(SNAPBASE) ;\
-	$(MD5) $(SNAPBASE).tar.bz2 >$(SNAPBASE).tar.bz2.md5 ;\
 	$(MD5) $(SNAPBASE).tar.gz >$(SNAPBASE).tar.gz.md5
 	$(RM) skk-dic.el

## ddskk 14.3

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # Makefile: makefile for SKK.
 #
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
-# Version: $Id: Makefile,v 1.67 2010/02/10 11:57:49 skk-cvs Exp $
-# Last Modified: $Date: 2010/02/10 11:57:49 $
+# Version: $Id: Makefile,v 1.85 2011/07/01 11:32:21 skk-cvs Exp $
+# Last Modified: $Date: 2011/07/01 11:32:21 $
 
 
-VERSION = 14.0.91
+VERSION = 14.3
 
 BZIP2     = bzip2 -9
 DATE	  = date
@@ -16,9 +16,14 @@
 MD5	  = md5
 RM	  = /bin/rm -f
 SNAPBASE  = ddskk-`$(DATE) '+%Y%m%d'`
-TAR	  = tar
+TAR	  = gtar
 XEMACS	  = xemacs
 RUBY      = ruby
+PYTHON    = python
+SKK2CDB   = ./etc/skk2cdb.py -f
+CDB_SOURCE = ./dic/SKK-JISYO.L
+#CDB_TARGET = ./dic/$(notdir $(CDB_SOURCE)).cdb
+CDB_TARGET = ./dic/`basename $(CDB_SOURCE)`.cdb
 SKK_DEFAULT_JISYO =
 set_jisyo =
 
@@ -50,13 +55,8 @@
 what-where-package:
 	$(XEMACS) $(FLAGS) -f SKK-MK-what-where-package
 
-skk-dic:
-	$(RM) skk-dic.el
-	$(EMACS) $(FLAGS) -f SKK-MK-skk-dic
-
-rb-skk-dic:
-	$(RM) skk-dic.el
-	$(RUBY) etc/skk-dic.rb ../dic/SKK-JISYO.S
+cdb:
+	$(PYTHON) $(SKK2CDB) $(CDB_TARGET) $(CDB_SOURCE)
 
 TAGS:
 	$(ETAGS) `find . -name '*.el'`
@@ -66,7 +66,6 @@
 	./doc/skk.info* `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'`
 
 tar: clean
-	cp -f skk-dic.el.in skk-dic.el
 	cd .. ;\
 	$(RM) ddskk-11.{1,2,3} ddskk-$(VERSION) ddskk-snapshot ddskk$(VERSION).tar.gz ddskk$(VERSION).tar.bz2 ddskk-$(VERSION).tar.gz ddskk-$(VERSION).tar.bz2 ;\
 	$(RM) ddskk-$(VERSION) ;\
@@ -78,7 +77,6 @@
 	$(RM) ddskk-$(VERSION) ;\
 	$(MD5) ddskk-$(VERSION).tar.bz2 >ddskk-$(VERSION).tar.bz2.md5 ;\
 	$(MD5) ddskk-$(VERSION).tar.gz >ddskk-$(VERSION).tar.gz.md5
-	$(RM) skk-dic.el
 
 snapshot: clean
 	cd .. ;\
@@ -90,6 +88,5 @@
 	$(RM) $(SNAPBASE).tar ;\
 	$(RM) $(SNAPBASE) ;\
 	$(MD5) $(SNAPBASE).tar.gz >$(SNAPBASE).tar.gz.md5
-	$(RM) skk-dic.el
 
 # end of Makefile.

=== debian/changelog ===
ddskk (14.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/010_skk-study.patch: Removed. (merged upstream)
  * debian/emacsen-install:
    - Drop the emacs20 flavor.
    - Don't use install-info-altdir.
  * debian/emacsen-startup: Don't set skk-aux-large-jisyo.
  * debian/control: Update Standards-Version to 3.9.2.
  * debian/copyright: Switch to the DEP-5 format.

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 01 Jul 2011 23:03:28 +0900

ddskk (14.2-2) unstable; urgency=low

  * debian/patches/010_skk-study.patch: Merge the changes of skk-study.el
    into experimental/skk-study.el. (closes: #613952)
  * debian/patches/020_ruby1.8.patch: Use ruby1.8 instead of ruby for bskk.
  * debian/control: Suggests ruby1.8 instead of ruby.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 21 Feb 2011 23:29:59 +0900

ddskk (14.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Don't depend on apel for GNU Emacs.
    - Add skkdic-cdb to Recommends because of the skk-cdb feature.
    - Revise Description to mention yaskkserv and directly use of a
      dictionary file without skkserv.
    - Add GNU Emacs flavors to Build-Depends-Indep.
    - Set Standards-Version to 3.9.1.
  * debian/README.Debian: Mention that how to customize skk-server-host,
    skk-cdb-large-jisyo and skk-large-jisyo.
  * debian/rules: Install bayesian/*, not experimental/bayesian/*.
  * debian/emacsen-install:
    - Use ddskk's install.el and remove it at build time.
    - Remove *.elc before byte-compilation to avoid an installation failure.
    - Remove useless options for SKK-MK.
  * debian/emacsen-startup:
    - Add comment for skk-cdb-large-jisyo and skk-large-jisyo.
    - Don't set the obsolete variable skk-e21-coding-system.
  * debian/copyright: Updated.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 09 Feb 2011 23:40:34 +0900

ddskk (14.0.91-1) unstable; urgency=low

  * New upstream release. (pre-release version)
  * debian/control:
    - Revive the dependency for skkserv. (closes: #551719)
    - Add `emacs-snapshot' to Depends.
    - Add `dpkg (>= 1.15.4) | install-info' to Depends.
    - Add `${misc:Depends}' to Depends.
    - Set Section to lisp.
    - Set Standards-Version to 3.8.4.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 11 Feb 2010 00:11:44 +0900

ddskk (13.1-3) unstable; urgency=low

  * debian/control:
    - Add emacs23 to Depends.
    - Move skkdic from Suggests to Recommends.
    - Set Standards-Version to 3.8.2.
  * debian/rules: Use dh_prep instead of `dh_clean -k'.
  * debian/postinst, debian/prerm: Don't use install-info.
  * debian/rules, debian/__env.el: Don't use __env.el.
  * debian/compat, debian/control: Update debhelper version to 7.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 02 Aug 2009 23:31:34 +0900

ddskk (13.1-2) unstable; urgency=low

  * debian/emacsen-startup: Set skk-e21-coding-system to nil to display
    the Japanese menu item with tmm.el. (closes: #470646)
  * debian/control:
    - Move `Homepage:' from Description to the header.
    - Build-Depends: debhelper (>= 6).
    - Set Standards-Version to 3.7.3.
  * debian/compat: 5 -> 6.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 23 Apr 2008 22:50:37 +0900

ddskk (13.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Add dictionaries-common to Suggests.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 18 Aug 2007 19:00:08 +0900

ddskk (13.0.91+0.20070716-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2007-07-16)
  * Install skk.xpm. (closes: #429822)
  * debian/emacsen-startup: Add "/usr/share/skk" to data-directory-list.
  * debian/control:
    - Prefer emacs to emacs21.
    - Add emacs22 to Depends.
    - Remove emacs-snapshot from Depends.
  * debian/emacsen-install: Don't install skk-lookup.elc and skk-jisx0213.elc
    which depend on external packages.
  * debian/rules: Don't ignore an error of `make clean'.

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 17 Jul 2007 22:27:56 +0900

ddskk (13.0.91+0.20070429-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2007-04-29)
  * debian/rules: Don't add coding tag.
  * debian/control: Remove nkf from Build-Depends-Indep.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 02 May 2007 21:59:12 +0900

ddskk (13.0.91+0.20070420-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2007-04-20)
  * debian/emacsen-install:
    - Prefer euc-jp and iso-2022-jp.
    - Remove SITEFLAG.
  * debian/rules:
    - Prefer euc-jp and iso-2022-jp for SKK-MK.
    - Specify coding system euc-jp for non-Japanese environments.
  * debian/control: Add nkf to Build-Depends-Indep.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 21 Apr 2007 00:00:41 +0900

ddskk (13.0.91+0.20070408-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2007-04-08)
    - Fix slow skk-search-server-1. (closes: #417731)
  * debian/control:
    - Depend on apel (>= 10.7).
    - Add `lookup-el, kakasi, w3m-el' to Suggests.
    - Revise Description for optional features.
  * debian/emacsen-install: Don't set APEL_SPECIFIC_LISPDIR.
  * debian/postinst: Disable the obsolete configuration file
    `/etc/emacs/site-start.d/50skk.el'.
  * debian/docs, debian/rules: Add more documents.
  * debian/watch: Set Action to uupdate.
  * debian/copyright: Update copyright years.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Apr 2007 21:03:35 +0900

ddskk (13.0.90.cvs20061119-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2006-11-19)
  * debian/README.Debian: Describe how to learn the usage of DDSKK.
  * debian/control (Description): Mention that the way of Kana to Kanji
    conversion is characteristic of SKK.

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 28 Nov 2006 00:15:38 +0900

ddskk (13.0.90.cvs20061010-3) unstable; urgency=low



=== debian/control ===
Source: ddskk
Section: lisp
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: emacs | emacs23 | emacs22
Standards-Version: 3.9.2
Homepage: http://openlab.jp/skk/

Package: ddskk
Architecture: all
Depends: emacs | emacs23 | emacs22 | emacs21 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs | emacs23 | emacs22 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Recommends: dbskkd-cdb | skkserv | skkdic-cdb | skkdic
Suggests: skkdic, skkdic-extra, skktools, lookup-el, kakasi, w3m-el, eieio, ruby1.8, dictionaries-common
Provides: skk
Conflicts: skk
Replaces: skk
Description: efficient Japanese input system for emacsen
 Daredevil SKK (DDSKK) is a fast and efficient Japanese input system
 written in Emacs Lisp.
 .
 DDSKK is an expand version of SKK (Simple Kana to Kanji conversion
 program, originated by Masahiko Sato).  The way of Kana to Kanji
 conversion is characteristic of SKK.  To learn the usage of DDSKK,
 the tutorial program `skk-tutorial' is available.
 .
 By default, DDSKK tries to connect an skkserv compatible dictionary
 server such as dbskkd-cdb, skksearch or yaskkserv on localhost.
 Directly use of a dictionary file without skkserv is also supported.
 .
 To make a local dictionary from the skkdic package and the skkdic-extra
 package, use the update-skkdic command of the skktools package.  To use
 optional features, install required packages such as lookup-el, kakasi,
 and so on.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=ddskk

build: build-stamp
build-stamp:
	dh_testdir

#	$(MAKE)
	emacs -batch -q -no-site-file -eval '(progn (set-language-environment "Japanese")'"(prefer-coding-system 'iso-2022-jp))" -l SKK-MK -f SKK-MK-compile-info

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp -a *.el *.in SKK-* nicola tut-code/*.el bayesian/*.el debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)
	# Overwrite skk-study.el with experimental/skk-study.el
	cp -af experimental/*.el experimental/dbm/*.el debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)

	rm -f debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/nicola/Makefile
	rm -f debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/nicola/.cvsignore
	mv debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/nicola/ChangeLog* debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/nicola/README* \
	  debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/nicola/

	rm -f debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/SKK-MK
	sed 's/\(skk-exsearch\|skk-exserv\)/;;\1/' SKK-MK > debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/SKK-MK

	rm -f debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/skk-exsearch.el
	sed 's!/usr/local!/usr!;s!SKK-JISYO\.L!SKK-JISYO!' experimental/skk-exsearch.el > debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/skk-exsearch.el

	cp etc/*.tut* debian/$(PACKAGE)/usr/share/skk
	cp etc/*.xpm debian/$(PACKAGE)/usr/share/pixmaps
	cp doc/skk.info* debian/$(PACKAGE)/usr/share/info

	dh_install bayesian/bskk usr/bin

	touch install-stamp

binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installemacsen
	dh_installman
	dh_installinfo -n
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## ddskk 14.4

=== debian/changelog ===
ddskk (14.4-2) unstable; urgency=low

  * debian/emacsen-install, debian/rules: Set SKK_SET_JISYO to nil to
    prevent that SKK-MK takes time to connect skk-server.
  * debian/control: Update Standards-Version to 3.9.3.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 01 Apr 2012 12:16:18 +0900

ddskk (14.4-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/030_skk-emacs-type.patch: New patch to not use the
    abolished variable `skk-emacs-type'.
  * debian/emacsen-install, debian/rules: Consider byte-compilation failure
    of skk-exserv.el, skk-exsearch.el and skk-search-web.el.
  * debian/rules:
    - New targets build-arch and build-indep.
    - Don't use unnecessary -a option for cp.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 06 Jan 2012 00:27:37 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: emacs | emacs23 | emacs22
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://openlab.jp/skk/
 
 Package: ddskk

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=ddskk

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	emacs -batch -q -no-site-file -eval '(progn (set-language-environment "Japanese")'"(prefer-coding-system 'iso-2022-jp)(setq SKK_SET_JISYO nil))" -l SKK-MK -f SKK-MK-compile-info > /dev/null
	touch $@

build-arch:

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	rm -f build*-stamp

	$(MAKE) clean

	dh_clean

install: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp -R *.el *.in SKK-* nicola tut-code/*.el bayesian/*.el debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)
	cp -f experimental/*.el experimental/dbm/*.el debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)

	rm -f debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/nicola/Makefile
	rm -f debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/nicola/.cvsignore
	mv debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/nicola/ChangeLog* debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/nicola/README* \
	  debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/nicola/

	rm -f debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/skk-exsearch.el
	sed 's!/usr/local!/usr!;s!SKK-JISYO\.L!SKK-JISYO!' experimental/skk-exsearch.el > debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/skk-exsearch.el

	cp etc/*.tut* debian/$(PACKAGE)/usr/share/skk
	cp etc/*.xpm debian/$(PACKAGE)/usr/share/pixmaps
	cp doc/skk.info* debian/$(PACKAGE)/usr/share/info

	dh_install bayesian/bskk usr/bin

binary-indep: install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installemacsen
	dh_installman
	dh_installinfo -n
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install

## ddskk 15.1

=== debian/changelog ===
ddskk (15.1-4) unstable; urgency=low

  * New patch 0006-Add-coding-tag.patch
  * Do not remove nicola-ddskk-autoloads.el

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 22 Jun 2013 07:52:24 +0900

ddskk (15.1-3) unstable; urgency=low

  * New patch 0005-Set-default-encoding-for-Ruby-1.9.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 27 May 2013 21:04:36 +0900

ddskk (15.1-2) unstable; urgency=low

  * Do not depend on ruby1.8
  * New patch 0004-Support-Ruby-1.9.patch
  * Remove 0001-Use-ruby1.8.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 26 May 2013 19:24:39 +0900

ddskk (15.1-1) unstable; urgency=low

  * Imported Upstream version 15.1
  * Remove 050_Do-not-use-obsolete-modeline.patch (merged upstream)
  * Remove 040_load-theme-in-emacs24.patch (merged upstream)
  * Remove 030_skk-emacs-type.patch (merged upstream)
  * debian/emacsen-install: Do not remove skk-setup.el and skk-*autoloads.el
  * debian/copyright: Updated
  * debian/control: Update Standards-Version to 3.9.4
  * debian/control: Add Vcs-Git and Vcs-Browser
  * debian/patches/*: Reordered
  * New patch 0002-Do-not-use-skk-sit-for.patch
  * New patch 0003-Use-modeline-for-XEmacs.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 06 May 2013 14:07:20 +0900

ddskk (14.4-4) unstable; urgency=low

  * New patch 040_load-theme-in-emacs24.patch (closes: #690842)
  * New patch 050_Do-not-use-obsolete-modeline.patch (closes: #705654)

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 18 Apr 2013 20:26:03 +0900

ddskk (14.4-3) unstable; urgency=low

  * debian/control: Add emacs24 (closes: #680161)

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 05 Jul 2012 08:16:06 +0900

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: emacs | emacs23 | emacs22
-Standards-Version: 3.9.3
+Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs22
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/collab-maint/ddskk.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ddskk.git
 Homepage: http://openlab.jp/skk/
 
 Package: ddskk
 Architecture: all
-Depends: emacs | emacs23 | emacs22 | emacs21 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs | emacs23 | emacs22 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: emacs | emacs24 | emacs23 | emacs22 | emacs21 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs | emacs24 | emacs23 | emacs22 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Recommends: dbskkd-cdb | skkserv | skkdic-cdb | skkdic
-Suggests: skkdic, skkdic-extra, skktools, lookup-el, kakasi, w3m-el, eieio, ruby1.8, dictionaries-common
+Suggests: skkdic, skkdic-extra, skktools, lookup-el, kakasi, w3m-el, eieio, ruby | ruby-interpreter, dictionaries-common
 Provides: skk
 Conflicts: skk
 Replaces: skk

## ddskk 15.1.54

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # Makefile: makefile for SKK.
 #
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
-# Version: $Id: Makefile,v 1.85 2011/07/01 11:32:21 skk-cvs Exp $
-# Last Modified: $Date: 2011/07/01 11:32:21 $
+# Version: $Id: Makefile,v 1.103 2013/10/31 11:54:16 skk-cvs Exp $
+# Last Modified: $Date: 2013/10/31 11:54:16 $
 
 
-VERSION = 14.3
+VERSION = 15.1.54
 
 BZIP2     = bzip2 -9
 DATE	  = date
@@ -19,11 +19,6 @@
 TAR	  = gtar
 XEMACS	  = xemacs
 RUBY      = ruby
-PYTHON    = python
-SKK2CDB   = ./etc/skk2cdb.py -f
-CDB_SOURCE = ./dic/SKK-JISYO.L
-#CDB_TARGET = ./dic/$(notdir $(CDB_SOURCE)).cdb
-CDB_TARGET = ./dic/`basename $(CDB_SOURCE)`.cdb
 SKK_DEFAULT_JISYO =
 set_jisyo =
 
@@ -54,9 +49,6 @@
 
 what-where-package:
 	$(XEMACS) $(FLAGS) -f SKK-MK-what-where-package
-
-cdb:
-	$(PYTHON) $(SKK2CDB) $(CDB_TARGET) $(CDB_SOURCE)
 
 TAGS:
 	$(ETAGS) `find . -name '*.el'`

=== debian/changelog ===
ddskk (15.1.54-2) unstable; urgency=medium

  * Do not fail with xemacs21 when apel is not yet configured
  * Install a compat file for emacsen-common 2.0.0
  * Handle an installed file to follow emacsen-common 2.0.7
  * Add emacsen-common (<< 2.0.0) to Conflicts
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 31 Jan 2014 22:44:29 +0900

ddskk (15.1.54-1) unstable; urgency=low

  * Imported Upstream version 15.1.54
    - Development snapshot on 2013-11-11, downloaded from:
      http://sourceforge.jp/users/kitamoto/pf/mirror/files/
  * Drop debian/patches (merged upstream)
  * Workaround for emacsen-common <2 and debhelper <9.20131104
  * Drop obsolete config handling
  * Update Standards-Version to 3.9.5

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 14 Dec 2013 21:40:27 +0900

ddskk (15.1-5) unstable; urgency=low

  * Drop emacs21 to prevent an installation failure

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 31 Jul 2013 06:42:40 +0900

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs22
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/ddskk.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ddskk.git
 Homepage: http://openlab.jp/skk/
 
 Package: ddskk
 Architecture: all
-Depends: emacs | emacs24 | emacs23 | emacs22 | emacs21 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs | emacs24 | emacs23 | emacs22 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: emacs | emacs24 | emacs23 | emacs22 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs | emacs24 | emacs23 | emacs22 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Recommends: dbskkd-cdb | skkserv | skkdic-cdb | skkdic
 Suggests: skkdic, skkdic-extra, skktools, lookup-el, kakasi, w3m-el, eieio, ruby | ruby-interpreter, dictionaries-common
 Provides: skk
-Conflicts: skk
+Conflicts: skk, emacsen-common (<< 2.0.0)
 Replaces: skk
 Description: efficient Japanese input system for emacsen
  Daredevil SKK (DDSKK) is a fast and efficient Japanese input system

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 build-indep: build-indep-stamp
 build-indep-stamp:
 	dh_testdir
-	emacs -batch -q -no-site-file -eval '(progn (set-language-environment "Japanese")'"(prefer-coding-system 'iso-2022-jp)(setq SKK_SET_JISYO nil))" -l SKK-MK -f SKK-MK-compile-info > /dev/null
+	emacs -batch -q -no-site-file -eval '(progn (set-language-environment "Japanese")'"(prefer-coding-system 'iso-2022-jp)(setq SKK_SET_JISYO nil))" -l SKK-MK -f SKK-MK-compile-info
 	touch $@
 
 build-arch:
@@ -55,6 +55,8 @@
 	dh_installexamples
 	dh_installmenu
 	dh_installemacsen
+	install -d debian/$(PACKAGE)/usr/lib/emacsen-common/packages/compat
+	echo 0 > debian/$(PACKAGE)/usr/lib/emacsen-common/packages/compat/$(PACKAGE)
 	dh_installman
 	dh_installinfo -n
 	dh_installchangelogs ChangeLog

## ddskk 15.2

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # Makefile: makefile for SKK.
 #
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
-# Version: $Id: Makefile,v 1.103 2013/10/31 11:54:16 skk-cvs Exp $
-# Last Modified: $Date: 2013/10/31 11:54:16 $
+# Version: $Id: Makefile,v 1.107 2014/11/23 19:45:33 skk-cvs Exp $
+# Last Modified: $Date: 2014/11/23 19:45:33 $
 
 
-VERSION = 15.1.54
+VERSION = 15.2
 
 BZIP2     = bzip2 -9
 DATE	  = date

=== debian/changelog ===
ddskk (15.2-1) unstable; urgency=medium

  * Imported Upstream version 15.2
  * Update debian/copyright
  * Update Vcs-Browser
  * Update Standards-Version to 3.9.6
  * Make symlinks before byte-compilation
  * Update bskk.1 to escape "-"
  * New patch 010_queue-m.patch to remove queue-m.el
  * Update README.Debian to mention skk-extra-jisyo-file-list

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 26 Apr 2015 13:19:49 +0900

ddskk (15.1.54-3) unstable; urgency=medium

  * Install a compat file with emacsen-compat
  * Use debian-emacs-flavor instead of flavor in emacsen-startup
  * Drop ruby-interpreter from ruby | ruby-interpreter
  * Depend on emacsen-common 2.0.8

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 20 Aug 2014 19:25:22 +0900

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs22
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/ddskk.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ddskk.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/ddskk.git
 Homepage: http://openlab.jp/skk/
 
 Package: ddskk
 Architecture: all
-Depends: emacs | emacs24 | emacs23 | emacs22 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs | emacs24 | emacs23 | emacs22 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: emacsen-common (>= 2.0.8), emacs | emacs24 | emacs23 | emacs22 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs | emacs24 | emacs23 | emacs22 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Recommends: dbskkd-cdb | skkserv | skkdic-cdb | skkdic
-Suggests: skkdic, skkdic-extra, skktools, lookup-el, kakasi, w3m-el, eieio, ruby | ruby-interpreter, dictionaries-common
+Suggests: skkdic, skkdic-extra, skktools, lookup-el, kakasi, w3m-el, eieio, ruby, dictionaries-common
 Provides: skk
-Conflicts: skk, emacsen-common (<< 2.0.0)
+Conflicts: skk
 Replaces: skk
 Description: efficient Japanese input system for emacsen
  Daredevil SKK (DDSKK) is a fast and efficient Japanese input system

=== debian/rules ===
--- 
+++ 
@@ -55,8 +55,6 @@
 	dh_installexamples
 	dh_installmenu
 	dh_installemacsen
-	install -d debian/$(PACKAGE)/usr/lib/emacsen-common/packages/compat
-	echo 0 > debian/$(PACKAGE)/usr/lib/emacsen-common/packages/compat/$(PACKAGE)
 	dh_installman
 	dh_installinfo -n
 	dh_installchangelogs ChangeLog

## ddskk 16.1

=== Makefile ===
# Makefile: makefile for SKK.
#
# Maintainer: SKK Development Team <skk@ring.gr.jp>


VERSION = 16.1

BZIP2     = bzip2 -9
DATE	  = date
EMACS	  = emacs
ETAGS	  = etags
FLAGS     = -batch -q -no-site-file -l SKK-MK
GZIP      = gzip -9
MD5	  = md5
RM	  = /bin/rm -f
SNAPBASE  = ddskk-`$(DATE) '+%Y%m%d'`
TAR	  = gtar
XEMACS	  = xemacs
RUBY      = ruby
PWD       = pwd
CURL      = curl
SKK_DEFAULT_JISYO =
set_jisyo =

TEST_DEP_1=ert
TEST_DEP_1_STABLE_URL=http://git.savannah.gnu.org/cgit/emacs.git/plain/lisp/emacs-lisp/ert.el?h=emacs-24.3

elc:
	$(EMACS) $(FLAGS) -f SKK-MK-compile

.PHONY: test downloads
test:
	$(EMACS) -batch -Q -L . -L test -l test/all-tests.el -f ert-run-tests-batch-and-exit

downloads :
	$(CURL) '$(TEST_DEP_1_STABLE_URL)' > $(TEST_DEP_1).el

package:
	$(XEMACS) $(FLAGS) -f SKK-MK-compile-package

info:
	$(EMACS) $(FLAGS) -f SKK-MK-compile-info

install:
	$(EMACS) $(FLAGS) -f SKK-MK-install

install-elc:
	$(EMACS) $(FLAGS) -f SKK-MK-install-elc

install-info:
	$(EMACS) $(FLAGS) -f SKK-MK-install-info

install-package:
	$(XEMACS) $(FLAGS) -f SKK-MK-install-package

what-where:
	$(EMACS) $(FLAGS) -f SKK-MK-what-where

what-where-package:
	$(XEMACS) $(FLAGS) -f SKK-MK-what-where-package

uninstall:
	$(EMACS) $(FLAGS) -f SKK-MK-uninstall

TAGS:
	$(ETAGS) `find . -name '*.el'`
clean:
	-$(RM) leim-list.el skk-autoloads.el skk-setup.el *.elc experimental/*.elc \
	auto-autoloads.el custom-load.el ert.el \
	./doc/skk.info* `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'`

tar: clean
	$(RM) ../ddskk-11.{1,2,3} ../ddskk-$(VERSION) ../ddskk-snapshot ../ddskk$(VERSION).tar.gz ../ddskk$(VERSION).tar.bz2 ../ddskk-$(VERSION).tar.gz ../ddskk-$(VERSION).tar.bz2 ;\
	ln -sf `$(PWD)`  ../ddskk-$(VERSION) ;\
	cd .. ;\
	$(TAR) -cvpf ddskk-$(VERSION).tar --exclude-from=ddskk-$(VERSION)/skk.ex --dereference ddskk-$(VERSION) ;\
	$(BZIP2) -cf ddskk-$(VERSION).tar > ddskk-$(VERSION).tar.bz2 ;\
	$(GZIP) -cf ddskk-$(VERSION).tar > ddskk-$(VERSION).tar.gz ;\
	$(RM) ddskk-$(VERSION).tar ;\
	$(RM) ddskk-$(VERSION) ;\
	$(MD5) ddskk-$(VERSION).tar.bz2 >ddskk-$(VERSION).tar.bz2.md5 ;\
	$(MD5) ddskk-$(VERSION).tar.gz >ddskk-$(VERSION).tar.gz.md5

snapshot: clean
	$(RM) ../ddskk-11.{1,2,3} ../ddskk-$(VERSION) ../ddskk-snapshot $(SNAPBASE).tar.gz ../$(SNAPBASE).tar.bz2 ;\
	$(RM) ../$(SNAPBASE) ;\
	ln -sf `$(PWD)` ../$(SNAPBASE) ;\
	cd .. ;\
	$(TAR) -cvpf $(SNAPBASE).tar --exclude-from=$(SNAPBASE)/skk.ex --dereference $(SNAPBASE);\
	$(GZIP) -cf $(SNAPBASE).tar > $(SNAPBASE).tar.gz ;\
	$(RM) $(SNAPBASE).tar ;\
	$(RM) $(SNAPBASE) ;\
	$(MD5) $(SNAPBASE).tar.gz >$(SNAPBASE).tar.gz.md5

# end of Makefile.

=== debian/changelog ===
ddskk (16.1-2) unstable; urgency=medium

  * Prefer emacs-nox over emacs
  * Update debhelper compat version to 9

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 05 Jan 2017 21:44:27 +0900

ddskk (16.1-1) unstable; urgency=medium

  * Imported Upstream version 16.1
  * Update debian/copyright
  * Drop debian/patches (merged upstream)
  * Update debian/docs to install README.md and others
  * Update Vcs-Browser to https
  * Update Standards-Version to 3.9.8
  * Accept emacs25

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 09 Oct 2016 09:44:56 +0900

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: lisp
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs22
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/ddskk.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/ddskk.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ddskk.git
 Homepage: http://openlab.jp/skk/
 
 Package: ddskk
 Architecture: all
-Depends: emacsen-common (>= 2.0.8), emacs | emacs24 | emacs23 | emacs22 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs | emacs24 | emacs23 | emacs22 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Recommends: dbskkd-cdb | skkserv | skkdic-cdb | skkdic
 Suggests: skkdic, skkdic-extra, skktools, lookup-el, kakasi, w3m-el, eieio, ruby, dictionaries-common
 Provides: skk

## ddskk 16.2

=== Makefile ===
--- 
+++ 
@@ -3,13 +3,14 @@
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
 
 
-VERSION = 16.1
+VERSION = 16.2
 
 BZIP2     = bzip2 -9
 DATE	  = date
 EMACS	  = emacs
 ETAGS	  = etags
 FLAGS     = -batch -q -no-site-file -l SKK-MK
+GIT       = git
 GZIP      = gzip -9
 MD5	  = md5
 RM	  = /bin/rm -f
@@ -62,27 +63,26 @@
 uninstall:
 	$(EMACS) $(FLAGS) -f SKK-MK-uninstall
 
+get:
+	$(EMACS) -batch -q -no-site-file -l tar-util.el -l skk-develop.el --eval='(skk-get "./dic")'
+
 TAGS:
 	$(ETAGS) `find . -name '*.el'`
+
 clean:
 	-$(RM) leim-list.el skk-autoloads.el skk-setup.el *.elc experimental/*.elc \
 	auto-autoloads.el custom-load.el ert.el \
 	./doc/skk.info* `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'`
 
+release: clean
+	$(RM) ../ddskk-$(VERSION).tar.gz ../ddskk-$(VERSION).tar.bz2 ;\
+	$(GIT) archive --format=tar.gz --prefix=ddskk-$(VERSION)/ HEAD > ../ddskk-$(VERSION).tar.gz ;\
+	$(GIT) archive --format=tar --prefix=ddskk-$(VERSION)/ HEAD | $(BZIP2) -c > ../ddskk-$(VERSION).tar.bz2 ;\
+	$(MD5) ../ddskk-$(VERSION).tar.bz2 > ../ddskk-$(VERSION).tar.bz2.md5 ;\
+	$(MD5) ../ddskk-$(VERSION).tar.gz > ../ddskk-$(VERSION).tar.gz.md5
+
 tar: clean
-	$(RM) ../ddskk-11.{1,2,3} ../ddskk-$(VERSION) ../ddskk-snapshot ../ddskk$(VERSION).tar.gz ../ddskk$(VERSION).tar.bz2 ../ddskk-$(VERSION).tar.gz ../ddskk-$(VERSION).tar.bz2 ;\
-	ln -sf `$(PWD)`  ../ddskk-$(VERSION) ;\
-	cd .. ;\
-	$(TAR) -cvpf ddskk-$(VERSION).tar --exclude-from=ddskk-$(VERSION)/skk.ex --dereference ddskk-$(VERSION) ;\
-	$(BZIP2) -cf ddskk-$(VERSION).tar > ddskk-$(VERSION).tar.bz2 ;\
-	$(GZIP) -cf ddskk-$(VERSION).tar > ddskk-$(VERSION).tar.gz ;\
-	$(RM) ddskk-$(VERSION).tar ;\
-	$(RM) ddskk-$(VERSION) ;\
-	$(MD5) ddskk-$(VERSION).tar.bz2 >ddskk-$(VERSION).tar.bz2.md5 ;\
-	$(MD5) ddskk-$(VERSION).tar.gz >ddskk-$(VERSION).tar.gz.md5
-
-snapshot: clean
-	$(RM) ../ddskk-11.{1,2,3} ../ddskk-$(VERSION) ../ddskk-snapshot $(SNAPBASE).tar.gz ../$(SNAPBASE).tar.bz2 ;\
+	$(RM) ../ddskk-$(VERSION) ../ddskk-snapshot $(SNAPBASE).tar.gz ../$(SNAPBASE).tar.bz2 ;\
 	$(RM) ../$(SNAPBASE) ;\
 	ln -sf `$(PWD)` ../$(SNAPBASE) ;\
 	cd .. ;\

=== debian/changelog ===
ddskk (16.2-2) unstable; urgency=medium

  * Update debhelper compat version to 10
  * Migrate from anonscm.debian.org to salsa.debian.org
  * Update debian/copyright
  * Update Standards-Version to 4.1.3
  * Update dictionaries configuration in README.Debian

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 10 Feb 2018 23:23:01 +0900

ddskk (16.2-1) unstable; urgency=medium

  * New upstream version 16.2
  * Drop emacs22
  * Install bayesian/README.ja.md
  * Update debian/copyright
  * Update Standards-Version to 4.1.2

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 23 Dec 2017 23:01:01 +0900

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: lisp
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/collab-maint/ddskk.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ddskk.git
+Build-Depends: debhelper (>= 10)
+Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/debian/ddskk
+Vcs-Git: https://salsa.debian.org/debian/ddskk.git
 Homepage: http://openlab.jp/skk/
 
 Package: ddskk
 Architecture: all
-Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Recommends: dbskkd-cdb | skkserv | skkdic-cdb | skkdic
 Suggests: skkdic, skkdic-extra, skktools, lookup-el, kakasi, w3m-el, eieio, ruby, dictionaries-common
 Provides: skk

=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,7 @@
 	rm -f debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/nicola/.cvsignore
 	mv debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/nicola/ChangeLog* debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/nicola/README* \
 	  debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/nicola/
+	if [ -f bayesian/README.ja.md ]; then cp -f bayesian/README.ja.md debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/README.bayesian.ja.md; fi
 
 	rm -f debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/skk-exsearch.el
 	sed 's!/usr/local!/usr!;s!SKK-JISYO\.L!SKK-JISYO!' experimental/skk-exsearch.el > debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/skk-exsearch.el

=== debian/watch ===
version=3
http://openlab.ring.gr.jp/skk/maintrunk/ddskk-([0-9]+\.[.0-9]+)\.tar\.gz debian uupdate

## ddskk 16.2+0.20190423

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
 
 
-VERSION = 16.2
+VERSION = 16.2.50
 
 BZIP2     = bzip2 -9
 DATE	  = date
@@ -14,6 +14,10 @@
 GZIP      = gzip -9
 MD5	  = md5
 RM	  = /bin/rm -f
+TEXI2PDF  = /usr/bin/texi2pdf
+MAKEINFO  = /usr/bin/makeinfo
+DBTOEPUB  = /usr/bin/dbtoepub
+KINDLEGEN = $(HOME)/bin/kindlegen
 SNAPBASE  = ddskk-`$(DATE) '+%Y%m%d'`
 TAR	  = gtar
 XEMACS	  = xemacs
@@ -39,8 +43,47 @@
 package:
 	$(XEMACS) $(FLAGS) -f SKK-MK-compile-package
 
-info:
+.SUFFIXES: .org .texi .info .html .pdf
+
+.org.html:
+	$(EMACS) $(FLAGS) -f SKK-MK-export-to-html
+
+html: doc/skk.org doc/skk.html
+
+texi: doc/skk.org doc/skk.texi
+
+# skk.org -> skk.texi -> skk.info
+.org.texi:
+	$(EMACS) $(FLAGS) -f SKK-MK-export-to-texinfo
+
+.texi.info:
 	$(EMACS) $(FLAGS) -f SKK-MK-compile-info
+
+info: doc/skk.info doc/skk.texi doc/skk.org
+
+# skk.org -> skk.texi -> skk.pdf
+#   based on http://www.trueroad.jp/2016/05/14-01.html
+pdf: doc/skk.pdf doc/skk.texi doc/skk.org
+
+.texi.pdf:
+	$(EMACS) $(FLAGS) -f SKK-MK-edit-texi
+	cd doc;                                           \
+	PDFTEX=luatex $(TEXI2PDF) --output=skk.pdf tmp.texi; \
+	$(RM) tmp.texi
+
+# skk.org -> skk.texi -> skk.xml -> skk.epub -> skk.mobi
+.SUFFIXES: .xml .epub .mobi
+
+mobi: doc/skk.mobi doc/skk.epub doc/skk.xml doc/skk.texi doc/skk.org
+
+.texi.xml:
+	$(MAKEINFO) --docbook doc/skk.texi -o doc/
+
+.xml.epub:
+	$(DBTOEPUB) -s doc/mobi.xsl doc/skk.xml -o doc/skk.epub
+
+.epub.mobi:
+	- $(KINDLEGEN) doc/skk.epub -verbose -locale ja -o skk.mobi
 
 install:
 	$(EMACS) $(FLAGS) -f SKK-MK-install
@@ -72,7 +115,10 @@
 clean:
 	-$(RM) leim-list.el skk-autoloads.el skk-setup.el *.elc experimental/*.elc \
 	auto-autoloads.el custom-load.el ert.el \
-	./doc/skk.info* `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'`
+	./doc/skk.info* ./doc/skk.html* ./doc/skk.pdf \
+	./doc/skk.xml ./doc/skk.epub ./doc/skk.mobi \
+	./doc/*.aux ./doc/*.cp* ./doc/*.fn* ./doc/*.ky* ./doc/*.log ./doc/*.toc ./doc/*.vr* \
+	`find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'`
 
 release: clean
 	$(RM) ../ddskk-$(VERSION).tar.gz ../ddskk-$(VERSION).tar.bz2 ;\

=== debian/changelog ===
ddskk (16.2+0.20190423-1) unstable; urgency=medium

  * New upstream version 16.2+0.20190423
    - vip.el is no longer included (closes: #431071)
  * Drop debian/patches
  * Update debian/docs to install history.md and skk.org
  * Don't install nicola/*.bat
  * Update debian/copyright
  * Update Standards-Version to 4.4.0
  * Skip old flavors xemacs20 and xemacs19
  * Handle maint/*.el files

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 14 Jul 2019 13:06:22 +0900

ddskk (16.2-7) unstable; urgency=medium

  * New patch 020_reiwa.patch to not fail when 令和元年 (2019/5-)
    (closes: #926861)

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 12 Apr 2019 21:18:06 +0900

ddskk (16.2-6) unstable; urgency=medium

  * New patch 010_unibyte.patch to enable M-SPC and M-Q for Emacs 26
  * Use debhelper-compat 11
  * Update debian/copyright
  * Update Standards-Version to 4.3.0
  * Update Homepage from openlab.jp to GitHub

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 10 Jan 2019 00:38:19 +0900

ddskk (16.2-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Tatsuya Kinoshita ]
  * Use "127.0.0.1" instead of "localhost" for skkserv
  * Prefer skkdic-cdb to skkserv by default
  * Update Standards-Version to 4.2.1

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 25 Nov 2018 19:00:56 +0900

ddskk (16.2-4) unstable; urgency=medium

  * Fix handling for xemacs21-mule/nomule
  * Handle symlinks for emacsen-startup
  * Check stamp file so that source file isn't newer
  * Change "#!/bin/sh -e" to "set -e" on a new line
  * Update Standards-Version to 4.2.0

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 20 Aug 2018 00:50:27 +0900

ddskk (16.2-3) unstable; urgency=medium

  * Accept unversioned emacs flavor for emacsen-common 3.0.0
  * Drop workaround for emacsen-common 1.x
  * Update debhelper compat version to 11
  * Update Standards-Version to 4.1.4

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 03 Jun 2018 20:00:46 +0900

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: lisp
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper-compat (= 11)
 Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/ddskk
 Vcs-Git: https://salsa.debian.org/debian/ddskk.git
-Homepage: http://openlab.jp/skk/
+Homepage: https://github.com/skk-dev/ddskk
 
 Package: ddskk
 Architecture: all
 Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
-Recommends: dbskkd-cdb | skkserv | skkdic-cdb | skkdic
+Recommends: skkdic-cdb | dbskkd-cdb | skkserv | skkdic
 Suggests: skkdic, skkdic-extra, skktools, lookup-el, kakasi, w3m-el, eieio, ruby, dictionaries-common
 Provides: skk
 Conflicts: skk
